export declare const useNeedsFeedStyles: (data?: {
    theme?: {
        widgetWidgetSideBar: 396;
        postSidebar: 400;
        widePostSidebar: 650;
        needSidebar: 550;
        desiredOutcomeSidebar: 1122;
        taskSidebar: 850;
        ticketSidebar: 550;
        surveyResponse: 550;
        followUpQuestion: 550;
        sidebarWidth: {
            readonly standard: 650;
            readonly xSmall: 396;
            readonly small: 550;
            readonly large: 850;
            readonly xLarge1: 1122;
            readonly xLarge2: 1140;
        };
        bg: import("@parlor/ui/theme").Colors.bg;
        bgDark: import("@parlor/ui/theme").Colors.bgDark;
        black: import("@parlor/ui/theme").Colors.black;
        black10: import("@parlor/ui/theme").Colors.black10;
        black15: import("@parlor/ui/theme").Colors.black15;
        black20: import("@parlor/ui/theme").Colors.black20;
        black26: import("@parlor/ui/theme").Colors.black26;
        black50: import("@parlor/ui/theme").Colors.black50;
        blue1: import("@parlor/ui/theme").Colors.blue1;
        blue2: import("@parlor/ui/theme").Colors.blue2;
        blue3: import("@parlor/ui/theme").Colors.blue3;
        blue4: import("@parlor/ui/theme").Colors.blue4;
        blue5: import("@parlor/ui/theme").Colors.blue5;
        blue6: import("@parlor/ui/theme").Colors.blue6;
        buttonDisabled: import("@parlor/ui/theme").Colors.buttonDisabled;
        buttonHover: import("@parlor/ui/theme").Colors.buttonHover;
        darkBlue: import("@parlor/ui/theme").Colors.darkBlue;
        dodgerBlue: import("@parlor/ui/theme").Colors.dodgerBlue;
        gold1: import("@parlor/ui/theme").Colors.gold1;
        gold2: import("@parlor/ui/theme").Colors.gold2;
        gray1: import("@parlor/ui/theme").Colors.gray1;
        gray2: import("@parlor/ui/theme").Colors.gray2;
        gray3: import("@parlor/ui/theme").Colors.gray3;
        gray4: import("@parlor/ui/theme").Colors.gray4;
        gray5: import("@parlor/ui/theme").Colors.gray5;
        gray50: import("@parlor/ui/theme").Colors.gray50;
        green1: import("@parlor/ui/theme").Colors.green1;
        green2: import("@parlor/ui/theme").Colors.green2;
        green3: import("@parlor/ui/theme").Colors.green3;
        green4: import("@parlor/ui/theme").Colors.green4;
        green5: import("@parlor/ui/theme").Colors.green5;
        navy1: import("@parlor/ui/theme").Colors.buttonHover;
        navy2: import("@parlor/ui/theme").Colors.navy2;
        navy3: import("@parlor/ui/theme").Colors.navy3;
        navy4: import("@parlor/ui/theme").Colors.navy4;
        navy5: import("@parlor/ui/theme").Colors.navy5;
        navy50: import("@parlor/ui/theme").Colors.navy50;
        red1: import("@parlor/ui/theme").Colors.red1;
        red2: import("@parlor/ui/theme").Colors.red2;
        red3: import("@parlor/ui/theme").Colors.red3;
        red4: import("@parlor/ui/theme").Colors.red4;
        red5: import("@parlor/ui/theme").Colors.red5;
        white: import("@parlor/ui/theme").Colors.white;
        widgetAlert: import("@parlor/ui/theme").Colors.widgetAlert;
        widgetAlertHover: import("@parlor/ui/theme").Colors.widgetAlertHover;
        widgetBG: import("@parlor/ui/theme").Colors.widgetBG;
        widgetBorder: import("@parlor/ui/theme").Colors.widgetBorder;
        widgetSentimentNegative: import("@parlor/ui/theme").Colors.widgetAlert;
        widgetSentimentNeutral: import("@parlor/ui/theme").Colors.widgetSentimentNeutral;
        widgetSentimentPositive: import("@parlor/ui/theme").Colors.widgetSentimentPositive;
        yellow1: import("@parlor/ui/theme").Colors.yellow1;
        yellow2: import("@parlor/ui/theme").Colors.yellow2;
        yellow3: import("@parlor/ui/theme").Colors.yellow3;
        yellow4: import("@parlor/ui/theme").Colors.yellow4;
        portalLocation: HTMLElement;
        fontFamily: string;
        fontFamilyMono: string;
        textColor: import("@parlor/ui/theme").Colors;
        widgetPrimary: import("@parlor/ui/theme").Colors;
        widgetSecondary: import("@parlor/ui/theme").Colors;
        widgetPrimaryHover: string;
        widgetSecondaryHover: string;
        widgetPrimaryPreSelectHover: string;
        widgetSecondaryPreSelectHover: string;
        textColorOnPrimary: import("@parlor/ui/theme").Colors;
        widgetPrimaryTextColor: import("@parlor/ui/theme").Colors;
        textColorOnSecondary: import("@parlor/ui/theme").Colors;
        widgetSecondaryTextColor: import("@parlor/ui/theme").Colors;
        useWhiteOnPrimary: boolean;
        useWhiteOnSecondary: boolean;
    };
}) => import("jss").Classes<"feed" | "adminAuthor" | "container" | "selectedItem" | "emptyIconWrapper" | "needAndDetails" | "loaderWrapper">;
